%define rname		livehttpheaders

Summary:	Plugin to access HTTP headers in Firefox
Name:		%firefox_name-%rname
Version:	0.8
Release:	alt2
Source0:	%rname-%version.xpi
Source1:	installed-chrome-%rname.txt
License:	GPL
Group:		Networking/WWW	
URL:		http://livehttpheaders.mozdev.org/index.html
Buildrequires:	%firefox_name-devel unzip
BuildArch:	noarch

Provides: 	MozillaFirebird-livehttpheaders
Obsoletes:      MozillaFirebird-livehttpheaders

Requires: %firefox_name >= %firefox_version-%firefox_release 

%description 
The goal of this project is to adds information about the HTTP headers in two
ways:
 * First by adding a 'Headers' tab in 'View Page Info' of a web page.
 * Second by adding a tool in the 'Tools->Web Development' menu to be able to
   display http headers in real time (while pages are being downloaded from
   the Internet.
 * Third by letting you edit request headers and replay an URL (beta). Look
   for the Replay button in the live window!

%prep
#setup -q

%build

%install
%__install -d %buildroot/%firefox_chromedir
%__unzip %SOURCE0 -d %buildroot/%firefox_chromedir
%__rm -f %buildroot/%firefox_chromedir/install*
%__install -m644 %SOURCE1 %buildroot/%firefox_chromedir

%__mkdir_p %buildroot/%firefox_iconsdir
%__install -m644 %buildroot/%firefox_chromedir/LiveHTTPHeaders.{ico,xpm} %buildroot/%firefox_iconsdir/

%post
%firefox_extension_postin

%postun
%firefox_extension_postun

%files
%firefox_iconsdir/LiveHTTPHeaders.*
%firefox_chromedir/*.jar
%firefox_chromedir/installed-chrome-%rname.txt

%changelog
* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt2
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);

* Sun Dec 28 2003 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- new version.

* Mon Nov 24 2003 Alexey Gladkov <legion@altlinux.ru> 0.6-alt1
- first build for ALT Linux.

* Fri Sep 05 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.5mdk
- remove release part in mozilla dependancy

* Sun Aug 31 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.4mdk
- new mozilla package

* Mon Jul 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.3mdk
- new mozilla package

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.2mdk
- new mozilla

* Fri Jun 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.1mdk
- first Mandrake package
